:root {
    --paddingCart: 20px;
}

.container {
    padding: var(--paddingGeneral);
}

.container h1 {
    text-align: center;
    font-weight: var(--fontWeightThird);
    letter-spacing: 3px;
}

.custom-cart-container .free-shipping-banner {
    background: var(--colorSecondary);
    color: var(--colorThird);
    border-radius: var(--borderRadiusSecond);
    padding: 10px 20px;
    margin: 0rem 1rem 1rem;
    text-align: center;
}

.custom-cart-container .free-shipping-banner * {
    margin: 0;
}

.custom-cart-container .free-shipping-banner .strong {
    font-weight: var(--fontWeightThird);
}

/* Contenitore principale */
.custom-cart-container form {
    display: flex;
    flex-wrap: wrap;
    gap: 80px;
    justify-content: space-between;
}

/* Sezione carrello a sinistra */
.cart-left {
    background-color: var(--colorThird);
    flex: 1;
    min-width: 50%;
}

/* Sezione riepilogo a destra */
.cart-right {
    flex: 1;
}

.cart-items {
    margin: 0;
    padding-left: 0;
}

.content-item {
    display: grid;
    gap: 10px;
    width: 100%;
}

.delete-button {
    cursor: pointer;
}

.header-item {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    align-content: center;
}

.header-item h3 {
    margin: 0rem;
    text-transform: uppercase;
    font-weight: var(--fontWeightThird);
}

.header-item h3 a {
    text-decoration: none;
    color: var(--colorSecondary);
}

.separator, .separator-delete {
    margin: 0;
}

.separator-delete {
    height: 50%;
}

.info-item {
    font-size: 0.9rem;
}

.info-item ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.info-item li {
    display: flex;
    gap: 5px;
}

.info-item li .title-attribute {
    text-transform: uppercase;
    font-weight: var(--fontWeightSubTitle);
}

.cart-right .woocommerce-Price-amount {
    font-weight: var(--fontWeightSubTitle);
}

.quantity input {
    background: transparent;
    padding: 0.2rem;
}

.qnt-cst {
    display: flex;
    gap: 5px;
}

.qnt-cst button {
    cursor: pointer;
    background: transparent;
    border: 0;
}

.qnt-cst input {
    font-size: 1rem;
    font-weight: var(--fontWeightThird);
    border: 0;
}

.buttons-item {
    display: flex;
    flex-wrap: wrap;
}

.buttons-item img {
    width: 1.2rem;
    height: 1.2rem;
}

.buttons-item a {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    text-decoration: none;
    color: var(--colorSecondary);
    cursor: pointer;
}

.cart-summary, .secure-payment {
    display: grid;
    gap: 20px;
    border: 1px solid var(--colorSecondary);
    border-radius: var(--borderRadiusSecond);
    background-color: var(--colorThird);
    padding-bottom: var(--paddingCart);
    margin-bottom: var(--paddingCart);
}

.cart-summary *, .secure-payment * {
    margin: 0;
}

.subtotale, .summary-information.total-cart span:first-child, .container h1 {
    text-transform: uppercase;
}

.secure-payment { 
    padding: var(--paddingCart);
}

.secure-payment h3 {
    margin-top: 0;
}

.cart-left h2 {
   padding: var(--paddingCart); 
}
.cart-left h2, .cart-summary h2 {
    font-family: var(--fontSecondary);
    font-weight: 500;
    text-transform: uppercase;
}

.header-summary {
    display: flex;
    align-items: center;
    place-content: space-between;
    border-bottom: 2px solid var(--colorSecondary);
}

.header-summary, .summary-information, .coupon, .summary-spedizioni {
    padding-left: var(--paddingCart);
    padding-right: var(--paddingCart);
}

.cart-summary .btn-primary {
    margin-left: var(--paddingCart);
    margin-right: var(--paddingCart);
    font-size: 17px;
}

.header-summary span {
    opacity: 0.6;
}


.btn-primary {
    background: var(--colorPrimary);
    color: var(--colorThird);
    padding: var(--paddingButton);
    display: block;
    text-align: center;
    border-radius: var(--borderRadiusSecond);
    text-decoration: none;
}

/* Sezione metodi di pagamento */
.payment-methods {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    justify-content: center;
}

.payment-icon {
    height: 40px;
}

.cart-items {
    list-style: none;
}

.cart-items > li {
    border-top: 1px solid var(--colorSecondary);
    border-bottom: 1px solid var(--colorSecondary);
}

.cart-items li .container-item {
    /*display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 0fr));*/
    display: flex;
    gap: 15px;
    padding: 20px 20px;
}

.cart-items img:not(.mywishlist-button img) {
    width: 10vw;
    height: auto;
    object-fit: contain;
    border: 1px solid var(--colorSecondary);
}

.container-image {
    position: relative;
}

.mywishlist-button {
    text-indent: -9999px;
    overflow: hidden;
    display: block;
    height: 0px;
}

.mywishlist-button img {
    position: absolute;
    bottom: 0;
    left: 0;
    transform: translate(-50%, 30%);
    transition: transform 0.3s ease-in-out;
}

.mywishlist-button img:hover {
    animation: pulse 0.5s ease-in-out;
}

.divisor-summary {
    height: 0.1rem;
}

.summary-information {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1rem;
}

.summary-information.total-cart span {
    font-weight: var(--fontWeightSecondary);
    font-size: 20px;
}

.summary-spedizioni {
    position: relative;
    display: grid;
}

.summary-spedizioni > div:first-child { 
    display: flex;
    align-items: center;
}

.summary-spedizioni .info-spedizioni {
    cursor: pointer;
    background: transparent;
    border: 0;
}

.summary-spedizioni span:last-child {
    opacity: 0.6;
}

.tooltip-spedizioni {
    position: absolute;
    bottom: 100%; 
    left: 50%;
    transform: translateX(-50%);
    background-color: var(--colorSecondary);
    color: var(--colorThird);
    padding: 10px;
    font-size: 14px;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease-in-out;
}

.tooltip-spedizioni.active {
    opacity: 1;
    visibility: visible;
}

#coupon_code {
    width: 93%;
    padding: 0.5rem 0.5rem;
    margin-bottom: 1rem;
}

button[name="apply_coupon"] {
    display: none !important;
}

.content-item div p {
    margin: 0;
}

/* Responsività */
@media (max-width: 768px) {
    .header-item {
        gap: 5px;    
    }
    
    .header-item > div {
        display: grid;
        gap: 5px;
    }
    
    .buttons-item { 
        display: grid;
        position: inherit;
        gap: 0.2rem;
        bottom: 0;
    }
    
    .box-right {
        display: flex;
        width: 100%;
        align-items: center;
        place-content: space-between;
        margin-bottom: 1.5rem;
    }
    
    .cart-items li .container-item {
        flex-wrap: nowrap;   
    }
    
    .cart-items img:not(.mywishlist-button img) {
        width: 10rem !important;
        object-fit: cover !important;
    }
}

.delete-popup {
    display: none;
    position: fixed;
    width: 20%;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background: var(--colorSecondary);
    color: var(--colorThird);
    padding: 20px;
    border-radius: 8px;
}

.popup-content {
    text-align: center;
}

.btn-danger, .btn-secondary {
    cursor: pointer;
    padding: 0.3rem 1rem;
    border-radius: 5rem;
    border: 0;
}

.btn-danger {
    background-color: var(--colorPrimary);
    color: var(--colorThird);
    float: left;
}

.btn-secondary {
    background-color: var(--colorThird);
    color: var(--colorSecondary);
    float: right;
}

@media only screen and (max-width: 769px) {
    .delete-popup { 
        width: 60%;
    }
}

@keyframes pulse {
    0% {
        transform: translate(-50%, 30%) scale(1);
    }
    50% {
        transform: translate(-50%, 30%) scale(1.15);
    }
    100% {
        transform: translate(-50%, 30%) scale(1.1);
    }
}